set status [ SclFunction "EXIT GRAPHICS" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="mod12.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "GEOLOGY DATABASE DISCONNECT" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="solids.ddb"
  mode="none"
}]

set status [ SclFunction "CLEAR TABLE" {
  frm00064={
    {
      table_name="intersect"
    }
  }
  frm00047={
    {
      _action="apply"
    }
  }
}]

set status [ SclFunction "CHECK DATABASE CONNECTED" {
  databasesession="GeologyDatabase"
  databasepurpose="drillholes"
  databasehandle="GEOLOGY"
}]

set status [ SclFunction "GET DATABASE HANDLE" {
  sessionType="GeologyDatabase"
  DatabaseHandle="GEOLOGY"
  DatabaseType="drillholes"
  DatabaseName="solids"
  result=1
}]

set status [ SclFunction "DRILLHOLE ATTRIBUTES" {
  trace_colour="forest green"
  trace_thickness="1"
  table=""
  field=""
  tick_mark_weight="1"
  rescale="true"
  add_constraint="true"
  cylinder_style="no cylinders"
  cylinder_radius="1.000"
  cylinder_maximum="50.0"
  show_collars="true"
  frm00012={
    {
      cons={
        {
          field=""
          operator="="
          value=""
        }
      }
    }
  }
}]

set status [ SclFunction "DRILLHOLE COLLARS" {
  show_collars="true"
  collar_marker="(+)"
  collar_marker_size="0.5"
  position="along path"
  num_rows="0"
}]

set status [ SclFunction "DRILLHOLE GEOLOGY" {
  num_rows="0"
}]

set status [ SclFunction "DRILLHOLE LABELS" {
  tick_length="1.0"
  num_rows="0"
}]

set status [ SclFunction "DRILLHOLE GRAPHS" {
  num_rows="0"
}]

set status [ SclFunction "DRILLHOLE DEPTH MARKERS" {
  position="left"
  offset="5.0"
  decimals="2"
  use_styles="false"
  colour=""
  font_style="Default"
  font_size="1.000"
  font_units="oru"
  alignment="right"
  major="10.0"
  minor="0.0"
  display="false"
  major_length="3.0"
  minor_length="1.0"
}]

set status [ SclFunction "DRILLHOLE APPARENT DIP MARKERS" {
  num_rows="0"
}]

set status [ SclFunction "DRILL HOLE INTERSECT OBJECT" {
  frm00012={
    {
      _action=display
      cons={
        {
          field=""
          operator="="
          value=""
        }
      }
    }
  }
  frm00312={
    {
    _action=display
      iobj="1"
      result_layer="main graphics layer"
      save="Y"
      geo_table="intersect"
      geo_field="zone"
      geo_code="south"
      log_loc="intersect"
      report_format=".not - Surpac Note File"
    }
  }
  frm00121={
    {
      _action="display"
    }
  }
}]

set status [ SclFunction "GET DATABASE HANDLE" {
  DatabaseHandle="GEOLOGY"
  DatabaseType="drillholes"
  DatabaseName="solids"
  result=1
}]

set status [ SclFunction "VIEW TABLE ROW" {
  frm00064={
    {
      table_name="intersect"
    }
  }
  frm10070={
    {
      main=table { field } {
        { "hole_id" }
        { "samp_id" }
        { "depth_from" }
        { "depth_to" }
        { "zone" }
      }
    }
  }
  frm00012={
    {
      cons={
        {
          field=""
          operator="="
          value=""
        }
      }
    }
  }
  frmdynamic={
    {
      _action="display"
    }
  }
}]

set status [ SclFunction "FACES OFF" {} ]

set status [ SclFunction "VIEW BY BEARING" {
  frm00289={
    {
      bearing="50"
      dip="-20"
    }
  }
}]

set status [ SclFunction "GEOLOGY DATABASE DISCONNECT" {} ]


puts ""
puts ""
puts "Macro _12_intersect_drillholes_solids.tcl completed."
puts ""
